#include <stdio.h>

#ifdef NOSTART
#define SIZ	16000
unsigned short buf[SIZ];
#endif

void
main()
{
	long i;
#ifdef NOSTART
	long stext = (long)main & ~0xffL;
	extern etext();

	printf("size (<= %d): ", SIZ);
	scanf("%ld\n", &i);
	if (i > SIZ || i < 0) i = SIZ;
	monitor(stext, etext, buf, (int)i, 0);
#endif
	perprintf(stdout);
	for ( i = 0; i < 1000; i++ ) huhu();
	printf("end loop 1\n");
	for ( i = 0; i < 20; i++ ) hallo();
	printf("end loop 2\n");
#ifdef NOSTART
	monitor((void (*)())0, (void (*)())0, (short *)0, 0, 0);
#endif
}

huhu()
{
	static int number = 0;
	printf("%4d", number++);
	if (number%20 == 0)
		printf("\n");
}

hallo()
{
	printf("hello world !\n");
}
